SAMConnection::remove
SAMConnection::send
SAM Functions
PHP Manual

# SAMConnection::rollback

(PECL sam >= 0.1.0)

SAMConnection::rollback — Cancels (rolls back) an in-flight unit of work.

### Description

bool SAMConnection::rollback ( void )

Rolls back an in-flight unit of work.

### Return Values

This method returns `FALSE` if an error occurs.

### Examples

Example #1 Cancelling an in-flight unit of work

`<?php
if (!$conn->rollback()) {
// The rollback failed!
echo "Rollback failed ($conn->errno) $conn->error";
}
?>`

### See Also

- SAMConnection::commit

SAMConnection::remove
SAMConnection::send
SAM Functions
PHP Manual